﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
INSTRUMENT:            Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
INSTRUMENT:            Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
INSTRUMENT:            Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /9500
INSTRUMENT:            Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
DATE:                  2012-08-10 15:37:27
AUTHOR:                Fluke
REVISION:              $Revision: 24326 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       77
NUMBER OF LINES:       1259
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO5034, DPO5054, DPO5104, DPO5204
#        MSO5034, MSO5054, MSO5104, MSO5204
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         INPUT_IMPEDANCE           PSUBI("Input Impedance")
  1.003  JMPL         DCV_GAIN_ACC              PSUBI("DCV Gain Acc")
  1.004  JMPL         OFFSET_ACC                PSUBI("Offset Acc")
  1.005  JMPL         SAMPLE_RATE               PSUBI("Sample Rate")
  1.006  JMPL         DELTA_TIME_ACC            PSUBI("Delta Time Acc")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment test number

# =====  Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500  =============

  2.001  LABEL        INPUT_IMPEDANCE
  2.002  RSLT         =
  2.003  HEAD         {INPUT IMPEDANCE: Channel [V @Chan]}
  2.004  RSLT         =
  2.005  HEAD         -2{10 mV/div}
  2.006  TARGET       -p

  2.007  IF           @MultiHead

  2.008  IF           @Chan == 1

  2.009  IF           ISVAR("@Timer")
  2.010  MATH         @StopTime = UTIME()
  2.011  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
  2.012  RSLT         =Elapsed Time: [V ElapsedTime]
  2.013  RSLT         =
  2.014  ENDIF

  2.015  DISP         Remove all connections.
  2.016  DISP         Connect the 9500 to the DUT as follows:
  2.016  DISP
  2.016  DISP         [32] CH 1 Active Head to DUT CH 1.
  2.016  DISP         [32] CH 2 Active Head to DUT CH 2.
  2.016  DISP         [32] CH 3 Active Head to DUT CH 3.
  2.016  DISP         [32] CH 4 Active Head to DUT CH 4.
  2.017  DISP         The next connection change occurs in approximately:
  2.017  DISP         [32] 33 minutes (TAR mode).
  2.017  DISP         [32] <tbd> minutes (MU mode).

  2.018  IF           ISVAR("@Timer")
  2.019  MATH         @StartTime = UTIME()
  2.020  ENDIF

  2.021  ENDIF

  2.022  ELSE

  2.023  IF           ISVAR("@Timer")
  2.024  MATH         @StopTime = UTIME()
  2.025  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
  2.026  RSLT         =
  2.027  RSLT         =Elapsed Time: [V ElapsedTime]
  2.028  ENDIF

  2.029  IF           @Chan == 1
  2.030  DISP         Remove all connections.
  2.031  DISP         Connect 9500 CH 1 Active Head to DUT CH 1.
  2.032  DISP         The next connection change occurs in approximately:
  2.032  DISP         [32] 8½ minutes (TAR mode).
  2.032  DISP         [32] <tbd> minutes (MU mode).
  2.033  ELSE
  2.034  DISP         Connect 9500 CH 1 Active Head to DUT CH [V @Chan].
  2.035  DISP         The next connection change occurs in approximately:
  2.035  DISP         [32] 8 minutes (TAR mode).
  2.035  DISP         [32] <tbd> minutes (MU mode).
  2.036  ENDIF

  2.037  IF           ISVAR("@Timer")
  2.038  MATH         @StartTime = UTIME()
  2.039  ENDIF

  2.040  ENDIF

  2.041  VISA         CH[V @Chan]:SCA 10E-3;TER 50
  2.042  TARGET       -m
  2.043  9500         50.0Z          0.5U                            ZM    2W

  3.001  VISA         CH[V @Chan]:TER 1E+6
  3.002  TARGET       -m
  3.003  9500         1.00MZ         0.01U                           ZM    2W

  4.001  RSLT         =
  4.002  HEAD         -2{100 mV/div}
  4.003  TARGET       -p
  4.004  VISA         CH[V @Chan]:SCA 100E-3;TER 50
  4.005  TARGET       -m
  4.006  9500         50.0Z          0.5U                            ZM    2W

  5.001  VISA         CH[V @Chan]:TER 1E+6
# Need remote commands.
  5.002  DISP         In the toolbar, click the Utilities menu and select
  5.002  DISP         Instrument Diagnostics.
  5.002  DISP
  5.002  DISP         Press the on-screeen Manual Product Verification button.
  5.002  DISP
  5.002  DISP         Select "Verify TPPxxx host terminations".
  5.003  TARGET       -m
  5.004  9500         250kZ          4U                              ZM    2W

  6.001  DISP         Unselect "Verify TPPxxx host terminations".
  6.002  VISA         FPANEL:PRESS MENUOFF
  6.003  TARGET       -m
  6.004  9500         1.00MZ         0.01U                           ZM    2W

  7.001  RSLT         =
  7.002  HEAD         -2{1 V/div}
  7.003  TARGET       -p
  7.004  VISA         CH[V @Chan]:SCA 1
  7.005  TARGET       -m
  7.006  9500         1.00MZ         0.01U                           ZM    2W

  8.001  HEAD         -2
  8.002  HEAD
  8.003  9500         *                                                 S
  8.004  END

  8.005  EVAL   -e Increment test number

# =====  Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500  ================

  9.001  LABEL        DCV_GAIN_ACC
  9.002  MATH         Conf9500 = CONF("Datron 9500")
  9.003  RSLT         =
  9.004  HEAD         {DCV GAIN ACCURACY: Channel [V @Chan]}
  9.005  RSLT         =
  9.006  HEAD         -2{50 Ohm, 20 MHz Bandwidth}: 2 mV/div
  9.007  TARGET       -p
  9.008  TSET         TDESC = 2 mV/div
  9.009  VISA         CH[V @Chan]:BAN TWE;TER 50;SCA 2E-3;POS 0;OFFS 0
  9.010  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU LINE
  9.011  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE MEAN;STATE ON
  9.012  VISA         MEASU:STATI:MODE VALUEMEAN
  9.013  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
  9.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
# Determine Normalized Reference Accuracy. Retrieve value to facilitate
# measurement uncertainty calculation. Note, 9500 accuracy is based on
# magnitude only, so only one call to REFACC is necessary.
  9.015  9500         9.0mV                                             S  L
  9.016  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
  9.017  JMPL         END                          @Abort
  9.018  TARGET       -m
  9.019  9500         9.0mV                                             S  L
  9.020  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  9.021  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.022  JMPL         END                          @Abort
  9.023  VISA         MEASU:MEAS1:MEAN?[I]
  9.024  MATH         L[1] = MEM
  9.025  9500         -9.0mV                                            S  L
  9.026  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  9.027  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.028  JMPL         END                          @Abort
  9.029  VISA         MEASU:MEAS1:MEAN?[I]
  9.030  MATH         L[2] = MEM
  9.031  ACC          18.0mV         L3U
  9.032  MATH         MEM = (L[1] - L[2]) / 1E-3
  9.033  MEMCX        18.0mV         1.5%

 10.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 5 mV/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 5 mV/div
 10.004  VISA         CH[V @Chan]:TER 50;SCA 5E-3;POS 0;OFFS 0
 10.005  9500         22.5mV                                            S  L
 10.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 10.007  TARGET       -m
 10.008  9500         22.5mV                                            S  L
 10.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 10.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.011  JMPL         END                          @Abort
 10.012  VISA         MEASU:MEAS1:MEAN?[I]
 10.013  MATH         L[1] = MEM
 10.014  9500         -22.5mV                                           S  L
 10.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 10.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.017  JMPL         END                          @Abort
 10.018  VISA         MEASU:MEAS1:MEAN?[I]
 10.019  MATH         L[2]= MEM
 10.020  ACC          45.0mV         L3U
 10.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 10.022  MEMCX        45.0mV         1.5%

 11.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 10 mV/div
 11.002  TARGET       -p
 11.003  TSET         TDESC = 10 mV/div
 11.004  VISA         CH[V @Chan]:TER 50;SCA 10E-3;POS 0;OFFS 0
 11.005  9500         45.0mV                                            S  L
 11.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 11.007  TARGET       -m
 11.008  9500         45.0mV                                            S  L
 11.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 11.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.011  JMPL         END                          @Abort
 11.012  VISA         MEASU:MEAS1:MEAN?[I]
 11.013  MATH         L[1] = MEM
 11.014  9500         -45.0mV                                           S  L
 11.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 11.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.017  JMPL         END                          @Abort
 11.018  VISA         MEASU:MEAS1:MEAN?[I]
 11.019  MATH         L[2]= MEM
 11.020  ACC          90.0mV         L3U
 11.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 11.022  MEMCX        90.0mV         1.5%

 12.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 20 mV/div
 12.002  TARGET       -p
 12.003  TSET         TDESC = 20 mV/div
 12.004  VISA         CH[V @Chan]:TER 50;SCA 20E-3;POS 0;OFFS 0
 12.005  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 12.006  9500         90.0mV                                            S  L
 12.007  TARGET       -m
 12.008  9500         90.0mV                                            S  L
 12.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 12.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.011  JMPL         END                          @Abort
 12.012  VISA         MEASU:MEAS1:MEAN?[I]
 12.013  MATH         L[1] = MEM
 12.014  9500         -90.0mV                                           S  L
 12.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 12.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.017  JMPL         END                          @Abort
 12.018  VISA         MEASU:MEAS1:MEAN?[I]
 12.019  MATH         L[2]= MEM
 12.020  ACC          180.0mV        L3U
 12.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 12.022  MEMCX        180.0mV        1.5%

 13.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 50 mV/div
 13.002  TARGET       -p
 13.003  TSET         TDESC = 50 mV/div
 13.004  VISA         CH[V @Chan]:TER 50;SCA 50E-3;POS 0;OFFS 0
 13.005  9500         225mV                                             S  L
 13.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 13.007  TARGET       -m
 13.008  9500         225mV                                             S  L
 13.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 13.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.011  JMPL         END                          @Abort
 13.012  VISA         MEASU:MEAS1:MEAN?[I]
 13.013  MATH         L[1] = MEM
 13.014  9500         -225mV                                            S  L
 13.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 13.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.017  JMPL         END                          @Abort
 13.018  VISA         MEASU:MEAS1:MEAN?[I]
 13.019  MATH         L[2]= MEM
 13.020  ACC          450mV          L3U
 13.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 13.022  MEMCX        450mV          1.5%

 14.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 100 mV/div
 14.002  TARGET       -p
 14.003  TSET         TDESC = 100 mV/div
 14.004  VISA         CH[V @Chan]:TER 50;SCA 100E-3;POS 0;OFFS 0
 14.005  9500         450mV                                             S  L
 14.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 14.007  TARGET       -m
 14.008  9500         450mV                                             S  L
 14.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 14.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.011  JMPL         END                          @Abort
 14.012  VISA         MEASU:MEAS1:MEAN?[I]
 14.013  MATH         L[1] = MEM
 14.014  9500         -450mV                                            S  L
 14.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 14.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.017  JMPL         END                          @Abort
 14.018  VISA         MEASU:MEAS1:MEAN?[I]
 14.019  MATH         L[2]= MEM
 14.020  ACC          900mV          L3U
 14.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 14.022  MEMCX        900mV          1.5%

 15.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 200 mV/div
 15.002  TARGET       -p
 15.003  TSET         TDESC = 200 mV/div
 15.004  VISA         CH[V @Chan]:TER 50;SCA 200E-3;POS 0;OFFS 0
 15.005  9500         900mV                                             S  L
 15.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 15.007  TARGET       -m
 15.008  9500         900mV                                             S  L
 15.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 15.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.011  JMPL         END                          @Abort
 15.012  VISA         MEASU:MEAS1:MEAN?[I]
 15.013  MATH         L[1] = MEM
 15.014  9500         -900mV                                            S  L
 15.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 15.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.017  JMPL         END                          @Abort
 15.018  VISA         MEASU:MEAS1:MEAN?[I]
 15.019  MATH         L[2]= MEM
 15.020  ACC          1800mV         L3U
 15.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 15.022  MEMCX        1800mV         1.5%

 16.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 500 mV/div
 16.002  TARGET       -p
 16.003  TSET         TDESC = 500 mV/div
 16.004  VISA         CH[V @Chan]:TER 50;SCA 500E-3;POS 0;OFFS 0
 16.005  9500         2450mV                                            S  L
 16.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 16.007  TARGET       -m
 16.008  9500         2450mV                                            S  L
 16.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 16.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.011  JMPL         END                          @Abort
 16.012  VISA         MEASU:MEAS1:MEAN?[I]
 16.013  MATH         L[1] = MEM
 16.014  9500         -2450mV                                           S  L
 16.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 16.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.017  JMPL         END                          @Abort
 16.018  VISA         MEASU:MEAS1:MEAN?[I]
 16.019  MATH         L[2]= MEM
 16.020  ACC          4900mV         L3U
 16.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 16.022  MEMCX        4900mV         1.5%

 17.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 1 V/div
 17.002  TARGET       -p
 17.003  TSET         TDESC = 1 V/div
 17.004  VISA         CH[V @Chan]:TER 50;SCA 1;POS 0;OFFS 0
 17.005  9500         4500mV                                            S  L
 17.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 17.007  TARGET       -m
 17.008  9500         4500mV                                            S  L
 17.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 17.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.011  JMPL         END                          @Abort
 17.012  VISA         MEASU:MEAS1:MEAN?[I]
 17.013  MATH         L[1] = MEM
 17.014  9500         -4500mV                                           S  L
 17.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 17.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.017  JMPL         END                          @Abort
 17.018  VISA         MEASU:MEAS1:MEAN?[I]
 17.019  MATH         L[2]= MEM
 17.020  ACC          9000mV         L3U
 17.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 17.022  MEMCX        9000mV         1.5%

 18.001  RSLT         =
 18.002  HEAD         -2{1 MOhm, 20 MHz Bandwidth}: 2 mV/div
 18.003  TARGET       -p
 18.004  TSET         TDESC = 2 mV/div
 18.005  VISA         CH[V @Chan]:BAN TWE;TER 1E+6;SCA 2E-3;POS 0;OFFS 0
 18.006  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU LINE
 18.007  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE MEAN;STATE ON
 18.008  VISA         MEASU:STATI:MODE VALUEMEAN
 18.009  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
 18.010  9500         9.0mV                                             S
 18.011  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 18.012  TARGET       -m
 18.013  9500         9.0mV                                             S
 18.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 18.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.016  JMPL         END                          @Abort
 18.017  VISA         MEASU:MEAS1:MEAN?[I]
 18.018  MATH         L[1] = MEM
 18.019  9500         -9.0mV                                            S
 18.020  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 18.021  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.022  JMPL         END                          @Abort
 18.023  VISA         MEASU:MEAS1:MEAN?[I]
 18.024  MATH         L[2]= MEM
 18.025  ACC          18.0mV         L3U
 18.026  MATH         MEM = (L[1] - L[2]) / 1E-3
 18.027  MEMCX        18.0mV         1.5%

 19.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 5 mV/div
 19.002  TARGET       -p
 19.003  TSET         TDESC = 5 mV/div
 19.004  VISA         CH[V @Chan]:TER 1E+6;SCA 5E-3;POS 0;OFFS 0
 19.005  9500         22.5mV                                            S
 19.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 19.007  TARGET       -m
 19.008  9500         22.5mV                                            S
 19.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 19.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.011  JMPL         END                          @Abort
 19.012  VISA         MEASU:MEAS1:MEAN?[I]
 19.013  MATH         L[1] = MEM
 19.014  9500         -22.5mV                                           S
 19.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 19.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.017  JMPL         END                          @Abort
 19.018  VISA         MEASU:MEAS1:MEAN?[I]
 19.019  MATH         L[2]= MEM
 19.020  ACC          45.0mV         L3U
 19.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 19.022  MEMCX        45.0mV         1.5%

 20.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 10 mV/div
 20.002  TARGET       -p
 20.003  TSET         TDESC = 10 mV/div
 20.004  VISA         CH[V @Chan]:TER 1E+6;SCA 10E-3;POS 0;OFFS 0
 20.005  9500         45.0mV                                            S
 20.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 20.007  TARGET       -m
 20.008  9500         45.0mV                                            S
 20.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 20.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.011  JMPL         END                          @Abort
 20.012  VISA         MEASU:MEAS1:MEAN?[I]
 20.013  MATH         L[1] = MEM
 20.014  9500         -45.0mV                                           S
 20.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 20.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.017  JMPL         END                          @Abort
 20.018  VISA         MEASU:MEAS1:MEAN?[I]
 20.019  MATH         L[2]= MEM
 20.020  ACC          90.0mV         L3U
 20.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 20.022  MEMCX        90.0mV         1.5%

 21.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 20 mV/div
 21.002  TARGET       -p
 21.003  TSET         TDESC = 20 mV/div
 21.004  VISA         CH[V @Chan]:TER 1E+6;SCA 20E-3;POS 0;OFFS 0
 21.005  9500         90mV                                              S
 21.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 21.007  TARGET       -m
 21.008  9500         90mV                                              S
 21.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 21.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.011  JMPL         END                          @Abort
 21.012  VISA         MEASU:MEAS1:MEAN?[I]
 21.013  MATH         L[1] = MEM
 21.014  9500         -90mV                                             S
 21.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 21.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.017  JMPL         END                          @Abort
 21.018  VISA         MEASU:MEAS1:MEAN?[I]
 21.019  MATH         L[2]= MEM
 21.020  ACC          180mV          L3U
 21.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 21.022  MEMCX        180mV          1.5%

 22.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 50 mV/div
 22.002  TARGET       -p
 22.003  TSET         TDESC = 50 mV/div
 22.004  VISA         CH[V @Chan]:TER 1E+6;SCA 50E-3;POS 0;OFFS 0
 22.005  9500         225mV                                             S
 22.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 22.007  TARGET       -m
 22.008  9500         225mV                                             S
 22.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 22.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.011  JMPL         END                          @Abort
 22.012  VISA         MEASU:MEAS1:MEAN?[I]
 22.013  MATH         L[1] = MEM
 22.014  9500         -225mV                                            S
 22.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 22.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.017  JMPL         END                          @Abort
 22.018  VISA         MEASU:MEAS1:MEAN?[I]
 22.019  MATH         L[2]= MEM
 22.020  ACC          450mV          L3U
 22.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 22.022  MEMCX        450mV          1.5%

 23.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 63.5 mV/div
 23.002  TARGET       -p
 23.003  TSET         TDESC = 63.5 mV/div
 23.004  VISA         CH[V @Chan]:TER 1E+6;SCA 63.5E-3;POS 0;OFFS 0
 23.005  9500         285.75mV                                          S
 23.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 23.007  TARGET       -m
 23.008  9500         285.75mV                                          S
 23.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 23.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.011  JMPL         END                          @Abort
 23.012  VISA         MEASU:MEAS1:MEAN?[I]
 23.013  MATH         L[1] = MEM
 23.014  9500         -285.75mV                                         S
 23.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 23.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.017  JMPL         END                          @Abort
 23.018  VISA         MEASU:MEAS1:MEAN?[I]
 23.019  MATH         L[2]= MEM
 23.020  ACC          571.5mV        L3U
 23.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 23.022  MEMCX        571.5mV        3.0%

 24.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 100 mV/div
 24.002  TARGET       -p
 24.003  TSET         TDESC = 100 mV/div
 24.004  VISA         CH[V @Chan]:TER 1E+6;SCA 100E-3;POS 0;OFFS 0
 24.005  9500         450mV                                             S
 24.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 24.007  TARGET       -m
 24.008  9500         450mV                                             S
 24.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 24.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.011  JMPL         END                          @Abort
 24.012  VISA         MEASU:MEAS1:MEAN?[I]
 24.013  MATH         L[1] = MEM
 24.014  9500         -450mV                                            S
 24.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 24.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.017  JMPL         END                          @Abort
 24.018  VISA         MEASU:MEAS1:MEAN?[I]
 24.019  MATH         L[2]= MEM
 24.020  ACC          900mV          L3U
 24.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 24.022  MEMCX        900mV          1.5%

 25.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 200 mV/div
 25.002  TARGET       -p
 25.003  TSET         TDESC = 200 mV/div
 25.004  VISA         CH[V @Chan]:TER 1E+6;SCA 200E-3;POS 0;OFFS 0
 25.005  9500         900mV                                             S
 25.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 25.007  TARGET       -m
 25.008  9500         900mV                                             S
 25.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 25.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.011  JMPL         END                          @Abort
 25.012  VISA         MEASU:MEAS1:MEAN?[I]
 25.013  MATH         L[1] = MEM
 25.014  9500         -900mV                                            S
 25.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 25.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.017  JMPL         END                          @Abort
 25.018  VISA         MEASU:MEAS1:MEAN?[I]
 25.019  MATH         L[2]= MEM
 25.020  ACC          1800mV         L3U
 25.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 25.022  MEMCX        1800mV         1.5%

 26.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 500 mV/div
 26.002  TARGET       -p
 26.003  TSET         TDESC = 500 mV/div
 26.004  VISA         CH[V @Chan]:TER 1E+6;SCA 500E-3;POS 0;OFFS 0
 26.005  9500         2450mV                                            S
 26.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 26.007  TARGET       -m
 26.008  9500         2450mV                                            S
 26.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 26.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.011  JMPL         END                          @Abort
 26.012  VISA         MEASU:MEAS1:MEAN?[I]
 26.013  MATH         L[1] = MEM
 26.014  9500         -2450mV                                           S
 26.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 26.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 26.017  JMPL         END                          @Abort
 26.018  VISA         MEASU:MEAS1:MEAN?[I]
 26.019  MATH         L[2]= MEM
 26.020  ACC          4900mV         L3U
 26.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 26.022  MEMCX        4900mV         1.5%

 27.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 1 V/div
 27.002  TARGET       -p
 27.003  TSET         TDESC = 1 V/div
 27.004  VISA         CH[V @Chan]:TER 1E+6;SCA 1;POS 0;OFFS 0
 27.005  9500         4500mV                                            S
 27.006  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 27.007  TARGET       -m
 27.008  9500         4500mV                                            S
 27.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 27.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.011  JMPL         END                          @Abort
 27.012  VISA         MEASU:MEAS1:MEAN?[I]
 27.013  MATH         L[1] = MEM
 27.014  9500         -4500mV                                           S
 27.015  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 27.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 27.017  JMPL         END                          @Abort
 27.018  VISA         MEASU:MEAS1:MEAN?[I]
 27.019  MATH         L[2]= MEM
 27.020  ACC          9000mV         L3U
 27.021  MATH         MEM = (L[1] - L[2]) / 1E-3
 27.022  MEMCX        9000mV         1.5%

 28.001  RSLT         =
 28.002  HEAD         -2{1 MOhm, 250 MHz Bandwidth}: 20 mV/div
 28.003  TARGET
 28.004  TSET         TDESC = 20 mV/div
 28.005  VISA         CH[V @Chan]:TER 1E+6;BAN TWO;SCA 20E-3;POS 0;OFFS 0
 28.006  9500         90.0mV                                            S
 28.007  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 28.008  TARGET       -m
 28.009  9500         90.0mV                                            S
 28.010  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 28.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 28.012  JMPL         END                          @Abort
 28.013  VISA         MEASU:MEAS1:MEAN?[I]
 28.014  MATH         L[1] = MEM
 28.015  9500         -90.0mV                                           S
 28.016  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 28.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 28.018  JMPL         END                          @Abort
 28.019  VISA         MEASU:MEAS1:MEAN?[I]
 28.020  MATH         L[2]= MEM
 28.021  ACC          180.0mV        L3U
 28.022  MATH         MEM = (L[1] - L[2]) / 1E-3
 28.023  MEMCX        180.0mV        1.5%

 29.001  RSLT         =
 29.002  HEAD         -2{1 MOhm, Full Bandwidth}: 20 mV/div
 29.003  TARGET       -p
 29.004  TSET         TDESC = 20 mV/div
 29.005  VISA         CH[V @Chan]:TER 1E+6;BAN FUL;SCA 20E-3;POS 0;OFFS 0
 29.006  9500         90.0mV                                            S
 29.007  MATH         L[3] = RSS2(REFACC(), REFACC()) / Conf9500 * 2
 29.008  TARGET       -m
 29.009  9500         90.0mV                                            S
 29.010  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 29.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 29.012  JMPL         END                          @Abort
 29.013  VISA         MEASU:MEAS1:MEAN?[I]
 29.014  MATH         L[1] = MEM
 29.015  9500         -90.0mV                                           S
 29.016  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 29.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 29.018  JMPL         END                          @Abort
 29.019  VISA         MEASU:MEAS1:MEAN?[I]
 29.020  MATH         L[2]= MEM
 29.021  ACC          180.0mV        L3U
 29.022  MATH         MEM = (L[1] - L[2]) / 1E-3
 29.023  MEMCX        180.0mV        1.5%

 30.001  HEAD         -2
 30.002  HEAD
 30.003  9500         *                                                 S
 30.004  END

 30.005  EVAL   Increment test number

# =====  Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500  ==================

 31.001  LABEL        OFFSET_ACC
 31.002  RSLT         =
 31.003  HEAD         {OFFSET ACCURACY: Channel [V @Chan]}
 31.004  RSLT         =
 31.005  HEAD         -2{50 Ohm}, 1 mV/div
 31.006  TARGET       -p
 31.007  TSET         TDESC = 1 mV/div
 31.008  VISA         CH[V @Chan]:BAN TWE
 31.009  VISA         TRIG:A:MOD NORM;TYPE EDGE
 31.010  VISA         TRIG:A:EDGE:SOU LINE
 31.011  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE MEAN;STATE ON
 31.012  VISA         CH[V @Chan]:TER 50;SCA 1E-3;POS 0;OFFS +900E-3
 31.013  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
 31.014  9500         900.0mV                                           S  L
 31.015  TARGET       -m
 31.016  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 31.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 31.018  JMPL         END                          @Abort
 31.019  VISA         MEASU:MEAS1:MEAN?[I]
 31.020  MATH         MEM = MEM / 1E-3
 31.021  MEMCX        +900.0mV       4.7U

 32.001  TSET         TDESC = 1 mV/div
 32.002  VISA         CH[V @Chan]:OFFS -900E-3
 32.003  9500         -900.0mV                                          S  L
 32.004  TARGET       -m
 32.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 32.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 32.007  JMPL         END                          @Abort
 32.008  VISA         MEASU:MEAS1:MEAN?[I]
 32.009  MATH         MEM = MEM / 1E-3
 32.010  MEMCX        -900.0mV       4.7U

 33.001  HEAD         -2 50 Ohm, 100 mV/div
 33.002  TARGET       -p
 33.003  TSET         TDESC = 100 mV/div
 33.004  VISA         CH[V @Chan]:SCA 100E-3;OFFS +5
 33.005  9500         5.000V                                            S  L
 33.006  TARGET       -m
 33.007  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 33.008  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 33.009  JMPL         END                          @Abort
 33.010  VISA         MEASU:MEAS1:MEAN?[I]
 33.011  MEMCX        +5.000V        0.035U

 34.001  TSET         TDESC = 100 mV/div
 34.002  VISA         CH[V @Chan]:OFFS -5
 34.003  9500         -5.000V                                           S  L
 34.004  TARGET       -m
 34.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 34.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 34.007  JMPL         END                          @Abort
 34.008  VISA         MEASU:MEAS1:MEAN?[I]
 34.009  MEMCX        -5.000V        0.035U

 35.001  9500         *                                                 S

 35.002  RSLT         =
 35.003  HEAD         -2{1 MOhm}, 1 mV/div
 35.004  TARGET       -p
 35.005  TSET         TDESC = 1 mV/div
 35.006  VISA         CH[V @Chan]:TER 1E+6;SCA 1E-3;OFFS +900E-3
 35.007  9500         900.0mV                                           S
 35.008  TARGET       -m
 35.009  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 35.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 35.011  JMPL         END                          @Abort
 35.012  VISA         MEASU:MEAS1:MEAN?[I]
 35.013  MATH         MEM = MEM / 1E-3
 35.014  MEMCX        +900.0mV       4.7U

 36.001  TSET         TDESC = 1 mV/div
 36.002  VISA         CH[V @Chan]:OFFS -900E-3
 36.003  9500         -900.0mV                                          S
 36.004  TARGET       -m
 36.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 36.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 36.007  JMPL         END                          @Abort
 36.008  VISA         MEASU:MEAS1:MEAN?[I]
 36.009  MATH         MEM = MEM / 1E-3
 36.010  MEMCX        -900.0mV       4.7U

 37.001  TSET         TDESC = 100 mV/div
 37.002  VISA         CH[V @Chan]:SCA 100E-3;OFFS +9
 37.003  9500         9.000V                                            S
 37.004  TARGET       -m
 37.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 37.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 37.007  JMPL         END                          @Abort
 37.008  VISA         MEASU:MEAS1:MEAN?[I]
 37.009  MEMCX        +9.000V        0.065U

 38.001  TSET         TDESC = 100 mV/div
 38.002  VISA         CH[V @Chan]:OFFS -9
 38.003  9500         -9.000V                                           S
 38.004  TARGET       -m
 38.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 38.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 38.007  JMPL         END                          @Abort
 38.008  VISA         MEASU:MEAS1:MEAN?[I]
 38.009  MEMCX        -9.000V        0.065U

 39.001  TSET         TDESC = 500 mV/div
 39.002  VISA         CH[V @Chan]:SCA 500E-3;OFFS +9
 39.003  9500         9.000V                                            S
 39.004  TARGET       -m
 39.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 39.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 39.007  JMPL         END                          @Abort
 39.008  VISA         MEASU:MEAS1:MEAN?[I]
 39.009  MEMCX        +9.000V        0.145U

 40.001  TSET         TDESC = 500 mV/div
 40.002  VISA         CH[V @Chan]:OFFS -9
 40.003  9500         -9.000V                                           S
 40.004  TARGET       -m
 40.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 40.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 40.007  JMPL         END                          @Abort
 40.008  VISA         MEASU:MEAS1:MEAN?[I]
 40.009  MEMCX        -9.000V        0.145U

 41.001  TSET         TDESC = 1.01 V/div
 41.002  VISA         CH[V @Chan]:SCA 1.01;OFFS +99.5
 41.003  9500         99.5V                                             S
 41.004  TARGET       -m
 41.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 41.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 41.007  JMPL         END                          @Abort
 41.008  VISA         MEASU:MEAS1:MEAN?[I]
 41.009  MEMCX        +99.5V         0.7U

 42.001  TSET         TDESC = 1.01 V/div
 42.002  VISA         CH[V @Chan]:OFFS -99.5
 42.003  9500         -99.5V                                            S
 42.004  TARGET       -m
 42.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 42.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 42.007  JMPL         END                          @Abort
 42.008  VISA         MEASU:MEAS1:MEAN?[I]
 42.009  MEMCX        -99.5V         0.7U

 43.001  TSET         TDESC = 3 V/div
 43.002  VISA         CH[V @Chan]:SCA 3;OFFS +99.5
 43.003  9500         99.5V                                             S
 43.004  TARGET       -m
 43.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 43.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 43.007  JMPL         END                          @Abort
 43.008  VISA         MEASU:MEAS1:MEAN?[I]
 43.009  MEMCX        +99.5V         1.1U

 44.001  TSET         TDESC = 3 V/div
 44.002  VISA         CH[V @Chan]:OFFS -99.5
 44.003  9500         -99.5V                                            S
 44.004  TARGET       -m
 44.005  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 44.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 44.007  JMPL         END                          @Abort
 44.008  VISA         MEASU:MEAS1:MEAN?[I]
 44.009  MEMCX        -99.5V         1.1U

 45.001  HEAD         -2
 45.002  HEAD
 45.003  9500         *                                                 S
 45.004  END

 45.005  EVAL   Increment test number

# =====  Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /9500  =================

 46.001  LABEL        SAMPLE_RATE
 46.002  RSLT         =
 46.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 46.004  TARGET
 46.005  VISA         CH[V @Chan]:TER 50;SCA 500E-3
 46.006  VISA         HOR:SCA 20E-3
 46.007  VISA         TRIG:A:MOD NORM;TYPE EDGE
 46.008  VISA         TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
 46.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 46.010  JMPL         END                          @Abort
 46.011  9500         80mT                         1Vpp           M2    S  L
 46.012  VISA         TRIG:A SETL
 46.013  VISA         CH[V @Chan]:POS 0
 46.014  VISA         HOR:SCA 400E-9;MAI:DEL:MOD ON;TIM 80E-3
 46.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 46.016  JMPL         END                          @Abort
 46.017  MESS         Does the rising edge of the marker cross the center
 46.017  MESS         horizontal graticule line within ±1 divisions of
 46.017  MESS         center graticule?
 46.018  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 47.001  HEAD         -2
 47.002  HEAD
 47.003  9500         *                                                 S
 47.004  END

 47.005  EVAL   Increment test number

# =====  Sub Tek DPO5000 (1 yr) Delta Time VER VISA /9500  ==================

 48.001  LABEL        DELTA_TIME_ACC
 48.002  RSLT         =
 48.003  HEAD         {DELTA TIME ACCURACY: Channel [V @Chan]}
 48.004  RSLT         =
 48.005  HEAD         DELTA TIME ACC: Ch [V @Chan], {4 ns/div, 240 MHz}
 48.006  RSLT         =
 48.007  TARGET       -p
 48.008  TSET         TDESC = 5 mV/div
 48.009  VISA         HOR:MODE AUTO;MODE:SCA 5E-9
 48.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 48.011  JMPL         END                          @Abort
 48.012  VISA         HOR:MODE MANUAL;MODE:RECO 800
 48.013  VISA         CH[V @Chan]:TER 50;SCA 5E-3
 48.014  VISA         TRIG:A:EDGE:SOU CH[V @Chan]
 48.015  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE BUR;STATE ON
 48.016  VISA         MEASU:STATI:MODE MEANSTD;WEI 1000
 48.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 48.018  JMPL         END                          @Abort
# 1 / 240 MHz = 4166.66... ps
 48.019  9500         4167pT                       40mVpp         LS    S  L
 48.020  TARGET       -m
 48.021  VISA         MEASU:STATI:COUN RESET
 48.022  WAIT         -t 10 DUT Acquiring...
 48.023  VISA         MEASU:MEAS1:STD?[I]
 48.024  MATH         MEM = MEM / 1E-12
 48.025  MEMCX        0pT            +120U

 49.001  TSET         TDESC = 100 mV/div
 49.002  VISA         CH[V @Chan]:SCA 100E-3
 49.003  9500         4167pT                       800mVpp        LS    S  L
 49.004  TARGET       -m
 49.005  VISA         MEASU:STATI:COUN RESET
 49.006  WAIT         -t 10 DUT Acquiring...
 49.007  VISA         MEASU:MEAS1:STD?[I]
 49.008  MATH         MEM = MEM / 1E-12
 49.009  MEMCX        0pT            +118U

 50.001  TSET         TDESC = 500 mV/div
 50.002  VISA         CH[V @Chan]:SCA 500E-3
 50.003  9500         4167pT                       4Vpp           LS    S  L
 50.004  TARGET       -m
 50.005  VISA         MEASU:STATI:COUN RESET
 50.006  WAIT         -t 10 DUT Acquiring...
 50.007  VISA         MEASU:MEAS1:STD?[I]
 50.008  MATH         MEM = MEM / 1E-12
 50.009  MEMCX        0pT            +117U

 51.001  TSET         TDESC = 1 V/div
 51.002  VISA         CH[V @Chan]:SCA 1
 51.003  9500         4167pT                       4Vpp           LS    S  L
 51.004  TARGET       -m
 51.005  VISA         MEASU:STATI:COUN RESET
 51.006  WAIT         -t 10 DUT Acquiring...
 51.007  VISA         MEASU:MEAS1:STD?[I]
 51.008  MATH         MEM = MEM / 1E-12
 51.009  MEMCX        0pT            +122U

 52.001  RSLT         =
 52.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {40 ns/div, 24 MHz}
 52.003  RSLT         =
 52.004  TARGET
 52.005  TSET         TDESC = 1 mV/div
 52.006  VISA         HOR:MODE AUTO;MODE:SCA 50E-9
 52.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 52.008  JMPL         END                          @Abort
 52.009  VISA         HOR:MODE MANUAL;MODE:RECO 8000
 52.010  VISA         CH[V @Chan]:SCA 1E-3
 52.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 52.012  JMPL         END                          @Abort
# 1 / 24 MHz = 41666.66... ps
 52.013  9500         41667pT                      8mVpp          LS    S  L
 52.014  TARGET       -m
 52.015  VISA         MEASU:STATI:COUN RESET
 52.016  WAIT         -t 10 DUT Acquiring...
 52.017  VISA         MEASU:MEAS1:STD?[I]
 52.018  MATH         MEM = MEM / 1E-12
 52.019  MEMCX        0pT            +708U

 53.001  TSET         TDESC = 5 mV/div
 53.002  VISA         CH[V @Chan]:SCA 5E-3
 53.003  9500         41667pT                      40mVpp         LS    S  L
 53.004  TARGET       -m
 53.005  VISA         MEASU:STATI:COUN RESET
 53.006  WAIT         -t 10 DUT Acquiring...
 53.007  VISA         MEASU:MEAS1:STD?[I]
 53.008  MATH         MEM = MEM / 1E-12
 53.009  MEMCX        0pT            +322U

 54.001  TSET         TDESC = 100 mV/div
 54.002  VISA         CH[V @Chan]:SCA 100E-3
 54.003  9500         41667pT                      800mVpp        LS    S  L
 54.004  TARGET       -m
 54.005  VISA         MEASU:STATI:COUN RESET
 54.006  WAIT         -t 10 DUT Acquiring...
 54.007  VISA         MEASU:MEAS1:STD?[I]
 54.008  MATH         MEM = MEM / 1E-12
 54.009  MEMCX        0pT            +236U

 55.001  TSET         TDESC = 500 mV/div
 55.002  VISA         CH[V @Chan]:SCA 500E-3
 55.003  9500         41667pT                      4Vpp           LS    S  L
 55.004  TARGET       -m
 55.005  VISA         MEASU:STATI:COUN RESET
 55.006  WAIT         -t 10 DUT Acquiring...
 55.007  VISA         MEASU:MEAS1:STD?[I]
 55.008  MATH         MEM = MEM / 1E-12
 55.009  MEMCX        0pT            +233U

 56.001  TSET         TDESC = 1 V/div
 56.002  VISA         CH[V @Chan]:SCA 1
 56.003  9500         41667pT                      4Vpp           LS    S  L
 56.004  TARGET       -m
 56.005  VISA         MEASU:STATI:COUN RESET
 56.006  WAIT         -t 10 DUT Acquiring...
 56.007  VISA         MEASU:MEAS1:STD?[I]
 56.008  MATH         MEM = MEM / 1E-12
 56.009  MEMCX        0pT            +417U

 57.001  RSLT         =
 57.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {400 ns/div, 2.4 MHz}
 57.003  RSLT         =
 57.004  TARGET
 57.005  TSET         TDESC = 1 mV/div
 57.006  VISA         HOR:MODE AUTO;MODE:SCA 500E-9
 57.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 57.008  JMPL         END                          @Abort
 57.009  VISA         HOR:MODE MANUAL;MODE:RECO 80000
 57.010  VISA         CH[V @Chan]:SCA 1E-3
 57.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 57.012  JMPL         END                          @Abort
# 1 / 2.4 MHz = 416.6666... ns
 57.013  9500         416.67nT                     8mVpp          LS    S  L
 57.014  TARGET       -m
 57.015  VISA         MEASU:STATI:COUN RESET
 57.016  WAIT         -t 10 DUT Acquiring...
 57.017  VISA         MEASU:MEAS1:STD?[I]
 57.018  MATH         MEM = MEM / 1E-9
 57.019  MEMCX        0.00nT         +6.69U

 58.001  TSET         TDESC = 5 mV/div
 58.002  VISA         CH[V @Chan]:SCA 5E-3
 58.003  9500         416.67nT                     40mVpp         LS    S  L
 58.004  TARGET       -m
 58.005  VISA         MEASU:STATI:COUN RESET
 58.006  WAIT         -t 10 DUT Acquiring...
 58.007  VISA         MEASU:MEAS1:STD?[I]
 58.008  MATH         MEM = MEM / 1E-9
 58.009  MEMCX        0.00nT         +3.01U

 59.001  TSET         TDESC = 100 mV/div
 59.002  VISA         CH[V @Chan]:SCA 100E-3
 59.003  9500         416.67nT                     800mVpp        LS    S  L
 59.004  TARGET       -m
 59.005  VISA         MEASU:STATI:COUN RESET
 59.006  WAIT         -t 10 DUT Acquiring...
 59.007  VISA         MEASU:MEAS1:STD?[I]
 59.008  MATH         MEM = MEM / 1E-9
 59.009  MEMCX        0.00nT         +2.07U

 60.001  TSET         TDESC = 500 mV/div
 60.002  VISA         CH[V @Chan]:SCA 500E-3
 60.003  9500         416.67nT                     4Vpp           LS    S  L
 60.004  TARGET       -m
 60.005  VISA         MEASU:STATI:COUN RESET
 60.006  WAIT         -t 10 DUT Acquiring...
 60.007  VISA         MEASU:MEAS1:STD?[I]
 60.008  MATH         MEM = MEM / 1E-9
 60.009  MEMCX        0.00nT         +2.03U

 61.001  TSET         TDESC = 1 V/div
 61.002  VISA         CH[V @Chan]:SCA 1
 61.003  9500         416.67nT                     4Vpp           LS    S  L
 61.004  TARGET       -m
 61.005  VISA         MEASU:STATI:COUN RESET
 61.006  WAIT         -t 10 DUT Acquiring...
 61.007  VISA         MEASU:MEAS1:STD?[I]
 61.008  MATH         MEM = MEM / 1E-9
 61.009  MEMCX        0.00nT         +4.02U

 62.001  RSLT         =
 62.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {4 µs/div, 240 kHz}
 62.003  RSLT         =
 62.004  TARGET
 62.005  TSET         TDESC = 1 mV/div
 62.006  VISA         HOR:MODE AUTO;MODE:SCA 5E-6
 62.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 62.008  JMPL         END                          @Abort
 62.009  VISA         HOR:MODE MANUAL;MODE:RECO 100000
 62.010  VISA         CH[V @Chan]:SCA 1E-3
 62.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 62.012  JMPL         END                          @Abort
# 1 / 240 kHz = 4166.666... ns
 62.013  9500         4166.7nT                     8mVpp          LS    S  L
 62.014  TARGET       -m
 62.015  VISA         MEASU:STATI:COUN RESET
 62.016  WAIT         -t 10 DUT Acquiring...
 62.017  VISA         MEASU:MEAS1:STD?[I]
 62.018  MATH         MEM = MEM / 1E-9
 62.019  MEMCX        0.0nT          +69.9U

 63.001  TSET         TDESC = 5 mV/div
 63.002  VISA         CH[V @Chan]:SCA 5E-3
 63.003  9500         4166.7nT                     40mVpp         LS    S  L
 63.004  TARGET       -m
 63.005  VISA         MEASU:STATI:COUN RESET
 63.006  WAIT         -t 10 DUT Acquiring...
 63.007  VISA         MEASU:MEAS1:STD?[I]
 63.008  MATH         MEM = MEM / 1E-9
 63.009  MEMCX        0.0nT          +30.1U

 64.001  TSET         TDESC = 100 mV/div
 64.002  VISA         CH[V @Chan]:SCA 100E-3
 64.003  9500         4166.7nT                     800mVpp        LS    S  L
 64.004  TARGET       -m
 64.005  VISA         MEASU:STATI:COUN RESET
 64.006  WAIT         -t 10 DUT Acquiring...
 64.007  VISA         MEASU:MEAS1:STD?[I]
 64.008  MATH         MEM = MEM / 1E-9
 64.009  MEMCX        0.0nT          +20.7U

 65.001  TSET         TDESC = 500 mV/div
 65.002  VISA         CH[V @Chan]:SCA 500E-3
 65.003  9500         4166.7nT                     4Vpp           LS    S  L
 65.004  TARGET       -m
 65.005  VISA         MEASU:STATI:COUN RESET
 65.006  WAIT         -t 10 DUT Acquiring...
 65.007  VISA         MEASU:MEAS1:STD?[I]
 65.008  MATH         MEM = MEM / 1E-9
 65.009  MEMCX        0.0nT          +20.3U

 66.001  TSET         TDESC = 1 V/div
 66.002  VISA         CH[V @Chan]:SCA 1
 66.003  9500         4166.7nT                     4Vpp           LS    S  L
 66.004  TARGET       -m
 66.005  VISA         MEASU:STATI:COUN RESET
 66.006  WAIT         -t 10 DUT Acquiring...
 66.007  VISA         MEASU:MEAS1:STD?[I]
 66.008  MATH         MEM = MEM / 1E-9
 66.009  MEMCX        0.0nT          +40.2U

 67.001  RSLT         =
 67.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {40 µs/div, 24 kHz}
 67.003  RSLT         =
 67.004  TARGET
 67.005  TSET         TDESC = 1 mV/div
 67.006  VISA         HOR:MODE AUTO;MODE:SCA 50E-6
 67.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 67.008  JMPL         END                          @Abort
 67.009  VISA         HOR:MODE MANUAL;MODE:RECO 80000
 67.010  VISA         CH[V @Chan]:SCA 1E-3
 67.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 67.012  JMPL         END                          @Abort
# 1 / 24 kHz = 41666.66... ns
 67.013  9500         41667nT                      8mVpp          LS    S  L
 67.014  TARGET       -m
 67.015  VISA         MEASU:STATI:COUN RESET
 67.016  WAIT         -t 10 DUT Acquiring...
 67.017  VISA         MEASU:MEAS1:STD?[I]
 67.018  MATH         MEM = MEM / 1E-9
 67.019  MEMCX        0nT            +699U

 68.001  TSET         TDESC = 5 mV/div
 68.002  VISA         CH[V @Chan]:SCA 5E-3
 68.003  9500         41667nT                      40mVpp         LS    S  L
 68.004  TARGET       -m
 68.005  VISA         MEASU:STATI:COUN RESET
 68.006  WAIT         -t 10 DUT Acquiring...
 68.007  VISA         MEASU:MEAS1:STD?[I]
 68.008  MATH         MEM = MEM / 1E-9
 68.009  MEMCX        0nT            +301U

 69.001  TSET         TDESC = 100 mV/div
 69.002  VISA         CH[V @Chan]:SCA 100E-3
 69.003  9500         41667nT                      800mVpp        LS    S  L
 69.004  TARGET       -m
 69.005  VISA         MEASU:STATI:COUN RESET
 69.006  WAIT         -t 10 DUT Acquiring...
 69.007  VISA         MEASU:MEAS1:STD?[I]
 69.008  MATH         MEM = MEM / 1E-9
 69.009  MEMCX        0nT            +207U

 70.001  TSET         TDESC = 500 mV/div
 70.002  VISA         CH[V @Chan]:SCA 500E-3
 70.003  9500         41667nT                      4Vpp           LS    S  L
 70.004  TARGET       -m
 70.005  VISA         MEASU:STATI:COUN RESET
 70.006  WAIT         -t 10 DUT Acquiring...
 70.007  VISA         MEASU:MEAS1:STD?[I]
 70.008  MATH         MEM = MEM / 1E-9
 70.009  MEMCX        0nT            +203U

 71.001  TSET         TDESC = 1 V/div
 71.002  VISA         CH[V @Chan]:SCA 1
 71.003  9500         41667nT                      4Vpp           LS    S  L
 71.004  TARGET       -m
 71.005  VISA         MEASU:STATI:COUN RESET
 71.006  WAIT         -t 10 DUT Acquiring...
 71.007  VISA         MEASU:MEAS1:STD?[I]
 71.008  MATH         MEM = MEM / 1E-9
 71.009  MEMCX        0nT            +402U

 72.001  RSLT         =
 72.002  HEAD         DELTA TIME ACC: Ch [V @Chan], {400 µs/div, 2.4 kHz}
 72.003  RSLT         =
 72.004  TARGET
 72.005  TSET         TDESC = 1 mV/div
 72.006  VISA         HOR:MODE AUTO;MODE:SCA 500E-6
 72.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 72.008  JMPL         END                          @Abort
 72.009  VISA         HOR:MODE MANUAL;MODE:RECO 80000
 72.010  VISA         CH[V @Chan]:SCA 1E-3
# 1 / 2.4 kHz = 416.6666... µs
 72.011  9500         416.67uT                     8mVpp          LS    S  L
 72.012  TARGET       -m
 72.013  VISA         MEASU:STATI:COUN RESET
 72.014  WAIT         -t 10 DUT Acquiring...
 72.015  VISA         MEASU:MEAS1:STD?[I]
 72.016  MATH         MEM = MEM / 1E-6
 72.017  MEMCX        0.00uT         +6.99U

 73.001  TSET         TDESC = 5 mV/div
 73.002  VISA         CH[V @Chan]:SCA 5E-3
 73.003  9500         416.67uT                     40mVpp         LS    S  L
 73.004  TARGET       -m
 73.005  VISA         MEASU:STATI:COUN RESET
 73.006  WAIT         -t 10 DUT Acquiring...
 73.007  VISA         MEASU:MEAS1:STD?[I]
 73.008  MATH         MEM = MEM / 1E-6
 73.009  MEMCX        0.00uT         +3.01U

 74.001  TSET         TDESC = 100 mV/div
 74.002  VISA         CH[V @Chan]:SCA 100E-3
 74.003  9500         416.67uT                     800mVpp        LS    S  L
 74.004  TARGET       -m
 74.005  VISA         MEASU:STATI:COUN RESET
 74.006  WAIT         -t 10 DUT Acquiring...
 74.007  VISA         MEASU:MEAS1:STD?[I]
 74.008  MATH         MEM = MEM / 1E-6
 74.009  MEMCX        0.00uT         +2.07U

 75.001  TSET         TDESC = 500 mV/div
 75.002  VISA         CH[V @Chan]:SCA 500E-3
 75.003  9500         416.67uT                     4Vpp           LS    S  L
 75.004  TARGET       -m
 75.005  VISA         MEASU:STATI:COUN RESET
 75.006  WAIT         -t 10 DUT Acquiring...
 75.007  VISA         MEASU:MEAS1:STD?[I]
 75.008  MATH         MEM = MEM / 1E-6
 75.009  MEMCX        0.00uT         +2.03U

 76.001  TSET         TDESC = 1 V/div
 76.002  VISA         CH[V @Chan]:SCA 1
 76.003  9500         416.67uT                     4Vpp           LS    S  L
 76.004  TARGET       -m
 76.005  VISA         MEASU:STATI:COUN RESET
 76.006  WAIT         -t 10 DUT Acquiring...
 76.007  VISA         MEASU:MEAS1:STD?[I]
 76.008  MATH         MEM = MEM / 1E-6
 76.009  MEMCX        0.00uT         +4.02U

 77.001  LABEL        END
 77.002  HEAD         -2
 77.003  HEAD
 77.004  9500         *                                                 S
 77.005  END
